#!/usr/bin/env bash

cd Committee

# cleanup the last run (if there was one)
rm -rf _Handovers_html

# copy in teh config for this folder
cp ../_scripts/md_toml/_Handovers.md.toml ./.md.toml

cargo-bfom

## cleanup
rm -f .md.toml

# if the user only wants teh html tehn early return
if [[ $1 == "html" ]]; then
	exit 0
fi

# recursively parse _Handovers_html use wkhtmltopdf  to convert to pdf
cd _Handovers_html

out_folder="../_Handovers_pdf"
rm -rf "$out_folder"
for d in */; do
	# skip symlinks
	[ -L "''${d%/}" ] && continue
	# exclude teh template fodler
	if [[ $d == *"_Templates"* ]]; then
		continue
	fi

	# create output folder
	mkdir -p "$out_folder/$d"

	# iterate the files
	for file in $d*.html; do
		if [ -f "$file" ]; then

			# we need teh filename/path
			stripped=''${file/.html/""}

			echo "$out_folder/$stripped.pdf"

			# convert teh html to pdf
			wkhtmltopdf -q --enable-local-file-access --no-stop-slow-scripts "$stripped.html" "$out_folder/$stripped.pdf" 2>>../errors.log &
		fi
	done
done

cd ../

# wait for background tasks to complete
wait $(jobs -p)
